Package org.apache.sysds.runtime.instructions.cp

# Class TriggerPrefetchTask

java.lang.Object
org.apache.sysds.runtime.instructions.cp.TriggerPrefetchTask

All Implemented Interfaces:
  `Runnable`

public class TriggerPrefetchTask extends Object implements Runnable

## Constructor Summary

Constructors
Constructor
Description
`TriggerPrefetchTask(MatrixObject mo)`
`TriggerPrefetchTask(MatrixObject mo, LineageItem li)`

## Method Summary

Modifier and Type
Method
Description
`void`
`run()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### TriggerPrefetchTask

public TriggerPrefetchTask(MatrixObject mo)

### TriggerPrefetchTask

public TriggerPrefetchTask(MatrixObject mo, LineageItem li)

## Method Details

### run

public void run()

Specified by:
  `run` in interface `Runnable`